using System;
using ljs;


namespace JXC_MIS.MyClass
{
	/// <summary>
	/// ClsPrint 的摘要说明。
	/// </summary>
	/// 


	public class ClsPrint
	{
		private ljs.MyGrid  _PageTop=null;
		private ljs.MyGrid  _PageHeader=null;
		private ljs.MyGrid  _PageBottom=null;
		private ljs.MyGrid  _PageFooter=null;
		private ljs.MyGrid  _PageOther=null;
		private ljs.MyFlexGrid _PageDetail=null;

		private string  _PageTopWidth=null;
		private string _PageHeaderWidth=null;
		private string  _PageBottomWidth=null;
		private string  _PageFooterWidth=null;
		private string _PageOtherWidth=null;
		private string _PageDetailWidth=null;

//		private string _TextAlignTop  ;					    //对齐方式
//		private string _TextAlignHeader  ;	               //对齐方式
//		private string _TextAlignBottom  ;	               //对齐方式
//		private string _TextAlignFooter  ;	               //对齐方式
//		private string _TextAlignOther  ;	               //对齐方式

		public ClsPrint()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

  /// <summary>
  /// 页顶 页头 明细 页底 设置
  /// </summary>
  /// <param name="p_Value"></param>
		public void SetPagTop(ljs.MyGrid p_Value)
		{
				_PageTop=p_Value;
		}

		public void SetPagHeader(ljs.MyGrid p_Value)
		{
			_PageHeader=p_Value;
		}
		public void SetPagFooter(ljs.MyGrid p_Value)
		{
			_PageFooter=p_Value;
		}
		public void SetPagBottom(ljs.MyGrid p_Value)
		{
			_PageBottom=p_Value;
		}

		public void SetPagOther(ljs.MyGrid p_Value)
		{
			_PageOther=p_Value;
		}


		public void SetPagDetail(ljs.MyFlexGrid  p_Value)
		{
			_PageDetail=p_Value;
		}


		/// <summary>
		/// 页顶 页头 明细 页底 设置
		/// </summary>
		/// <param name="p_Value"></param>
		public void SetPagTopWidth(string p_Value)
		{
			_PageTopWidth=p_Value;
		}

		public void SetPagHeaderWidth(string p_Value)
		{
			_PageHeaderWidth=p_Value;
		}
		public void SetPagFooterWidth(string p_Value)
		{
			_PageFooterWidth=p_Value;
		}
		public void SetPagBottomWidth(string p_Value)
		{
			_PageBottomWidth=p_Value;
		}

		public void SetPagOtherWidth(string p_Value)
		{
			_PageOtherWidth=p_Value;
		}


		public void SetPagDetailWidth(string p_Value)
		{
			_PageDetailWidth=p_Value;
		}

	}
}
